"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteDisActiveMsg = exports.disActiveMessage = void 0;
const Message_1 = require("../models/Message");
const disActiveMessage = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const messageId = req.params.id;
    if (!messageId) {
        return res.status(400).json({
            message: "Invalid message id",
        });
    }
    let message;
    try {
        message = yield Message_1.Message.findOne({
            _id: messageId,
        });
    }
    catch (error) {
        return res.status(400).json({
            message: "Message not found",
        });
    }
    if (!message) {
        return res.status(404).json({
            message: "Room not found",
        });
    }
    message.isActive = false;
    yield message.save();
    res.status(200).json({
        message: "Message removed",
    });
});
exports.disActiveMessage = disActiveMessage;
const deleteDisActiveMsg = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        yield Message_1.Message.deleteMany({ isActive: false });
    }
    catch (error) {
        console.log(error);
    }
    res.send("ok");
});
exports.deleteDisActiveMsg = deleteDisActiveMsg;
//# sourceMappingURL=messagesController.js.map