"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Room = void 0;
const mongoose_1 = __importDefault(require("mongoose"));
const roomSchema = new mongoose_1.default.Schema({
    name: {
        type: String,
        lowercase: true,
        required: [true, "Please add a name"],
    },
    createdBy: {
        id: String,
        name: String,
    },
    type: {
        type: String,
    },
    isActive: {
        type: Boolean,
    },
    dislikeMembers: [
        {
            type: String,
            ref: "User",
        },
    ],
    members: [
        {
            id: String,
            name: String,
        },
    ],
});
exports.Room = mongoose_1.default.model("Room", roomSchema);
//# sourceMappingURL=Room.js.map