"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.User = void 0;
const bcrypt_1 = __importDefault(require("bcrypt"));
const mongoose_1 = __importStar(require("mongoose"));
const userSchema = new mongoose_1.default.Schema({
    name: {
        type: String,
        lowercase: true,
        required: [true, "Please add a name"],
    },
    email: {
        type: String,
        required: [true, "Please add an email"],
        unique: true,
        index: true,
        // validate: [validator.isEmail, "invalid email"],
    },
    password: {
        type: String,
        required: [true, "Please add a password"],
    },
    image: {
        type: String,
    },
    newMessages: {
        type: mongoose_1.Schema.Types.Mixed,
        _id: false,
        default: {},
    },
    status: {
        type: String,
        default: "online",
    },
    token: {
        type: String,
        required: false,
    },
    refreshToken: {
        type: String,
        required: false,
    },
    disabled: {
        type: Boolean,
        default: false,
    },
    confirmed: {
        type: Boolean,
        default: false,
    },
}, {
    timestamps: true,
    minimize: false,
});
// userSchema.pre("save",async (next) => {
//   const user: any = this;
//   if (!user.isModified("password")) return null;
//   const salt =await bcrypt.genSalt();
//   const hashedPassword =await bcrypt.hash(user.password, salt);
//   user.password = hashedPassword;
//   next();
// });
userSchema.methods.toJson = () => {
    const user = this;
    if (user) {
        const userObject = user.toObject();
        delete userObject.password;
        return userObject;
    }
};
userSchema.statics.findByCredentials = (email, password) => __awaiter(void 0, void 0, void 0, function* () {
    const user = yield exports.User.findOne({ email });
    if (!user) {
        throw new Error("Invalid email or password");
    }
    const passMatch = yield bcrypt_1.default.compare(password, user.password);
    if (!passMatch) {
        throw new Error("Invalid email or password");
    }
    return user;
});
exports.User = mongoose_1.default.model("User", userSchema);
//# sourceMappingURL=User.js.map