"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.roomsRouter = void 0;
const express_1 = require("express");
const roomsController_1 = require("../controllers/roomsController");
const authMiddleware_1 = require("../middleware/authMiddleware");
exports.roomsRouter = (0, express_1.Router)();
exports.roomsRouter
    .get("/", authMiddleware_1.authMiddleware, roomsController_1.getRooms)
    .get("/:id", authMiddleware_1.authMiddleware, roomsController_1.getOneRoom)
    .post("/", authMiddleware_1.authMiddleware, roomsController_1.createRoom)
    .patch("/", authMiddleware_1.authMiddleware, roomsController_1.addUserToDislikeList)
    .delete("/:id", authMiddleware_1.authMiddleware, roomsController_1.disActiveRoom)
    .patch("/:id", authMiddleware_1.authMiddleware, roomsController_1.addUserToRoomMembers)
    .put("/:id", authMiddleware_1.authMiddleware, roomsController_1.updateRoomData);
//# sourceMappingURL=roomsRouter.js.map