"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.userRouter = void 0;
const express_1 = require("express");
const userController_1 = require("../controllers/userController");
const authMiddleware_1 = require("../middleware/authMiddleware");
exports.userRouter = (0, express_1.Router)();
exports.userRouter
    .get("/", authMiddleware_1.authMiddleware, userController_1.getUsers)
    .get("/messages", authMiddleware_1.authMiddleware, userController_1.getNewMessages)
    .get("/:id", authMiddleware_1.authMiddleware, userController_1.getOneUser)
    .get("/confirm/:id", userController_1.confirmRegistration)
    .patch("/status", authMiddleware_1.authMiddleware, userController_1.changeUserStatus)
    .post("/signup", userController_1.signupUser)
    .post("/login", userController_1.loginUser)
    .post("/messages", authMiddleware_1.authMiddleware, userController_1.updateNewMessages)
    .post("/resendRegisterVerification", userController_1.resendRegisterVerification)
    .delete("/logout", authMiddleware_1.authMiddleware, userController_1.logoutUser)
    .post("/find", authMiddleware_1.authMiddleware, userController_1.findByName);
//# sourceMappingURL=userRouter.js.map