"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyToken = exports.generateHashedData = exports.generateRefreshToken = exports.generateToken = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const config_1 = require("../config/config");
// Generate JWT
const generateToken = (id) => {
    return jsonwebtoken_1.default.sign({ id }, config_1.config.ACCESS_TOKEN_KEY, {
        expiresIn: "30d",
    });
};
exports.generateToken = generateToken;
const generateRefreshToken = (id) => {
    return jsonwebtoken_1.default.sign({ id }, config_1.config.REF_TOKEN_KEY);
};
exports.generateRefreshToken = generateRefreshToken;
const generateHashedData = (id, name, email, image, newMessages) => {
    return jsonwebtoken_1.default.sign({ id, name, email, image, newMessages }, config_1.config.ACCESS_TOKEN_KEY, {
        expiresIn: "30d",
    });
};
exports.generateHashedData = generateHashedData;
// verify JWT
const verifyToken = (jwtCookie) => {
    let encryptToken = jsonwebtoken_1.default.verify(jwtCookie, config_1.config.ACCESS_TOKEN_KEY);
    const id = encryptToken.id;
    if (!id) {
        return null;
    }
    return id;
};
exports.verifyToken = verifyToken;
//# sourceMappingURL=logs.js.map