"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendMail = void 0;
const nodemailer_1 = __importDefault(require("nodemailer"));
const nodemailer_express_handlebars_1 = __importDefault(require("nodemailer-express-handlebars"));
const path_1 = __importDefault(require("path"));
const config_1 = require("../config/config");
const sendMail = (email, subject, emailView, link = "", link2 = "", user = "", ip = "", date = "") => __awaiter(void 0, void 0, void 0, function* () {
    let transporter = nodemailer_1.default.createTransport({
        service: "gmail",
        host: "smtp.gmail.com",
        port: 465,
        auth: {
            user: config_1.config.MAILER_USER_GG,
            pass: config_1.config.MAILER_PASS_GG,
        },
    });
    const handlebarOptions = {
        viewEngine: {
            extName: ".hbs",
            partialsDir: path_1.default.join(__dirname, "../views/"),
            layoutsDir: path_1.default.join(__dirname, "../views/"),
            defaultLayout: "",
        },
        viewPath: path_1.default.join(__dirname, "../views/"),
        extName: ".hbs",
    };
    transporter.use("compile", (0, nodemailer_express_handlebars_1.default)(handlebarOptions));
    const mailOptions = {
        from: `"ChatMe" <${config_1.config.MAILER_USER_GG}>`,
        to: email,
        subject,
        template: emailView,
        context: {
            link,
            link2,
            user,
            ip,
            date,
        },
    };
    let info = yield transporter.sendMail(mailOptions, function (err, data) {
        if (err) {
            console.log(err);
        }
    });
});
exports.sendMail = sendMail;
//# sourceMappingURL=mailer.js.map