"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendMail2 = void 0;
const googleapis_1 = require("googleapis");
const nodemailer_1 = __importDefault(require("nodemailer"));
const nodemailer_express_handlebars_1 = __importDefault(require("nodemailer-express-handlebars"));
const path_1 = __importDefault(require("path"));
const config_1 = require("../config/config");
const OAuth2 = googleapis_1.google.auth.OAuth2;
const OAuth2_client = new OAuth2(config_1.config.client_Id, config_1.config.client_Secret, config_1.config.redirect_URI);
OAuth2_client.setCredentials({ refresh_token: config_1.config.refresh_oAuth_token });
const sendMail2 = (email, subject, emailView, link = "", link2 = "", user = "", ip = "", date = "") => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const accesToken = yield OAuth2_client.getAccessToken();
        let transporter = nodemailer_1.default.createTransport({
        // service: String("gmail")||"",
        // host: "smtp.gmail.com",
        // port: 465,
        // auth: {
        //   type: "OAuth2",
        //   user: config.OAuth_User,
        //   clientId: config.client_Id,
        //   clientSecret: config.client_Secret,
        //   refreshToken: config.refresh_oAuth_token,
        //   accessToken: accesToken.token,
        // },
        });
        const handlebarOptions = {
            viewEngine: {
                extName: ".hbs",
                partialsDir: path_1.default.join(__dirname, "../views/"),
                layoutsDir: path_1.default.join(__dirname, "../views/"),
                defaultLayout: "",
            },
            viewPath: path_1.default.join(__dirname, "../views/"),
            extName: ".hbs",
        };
        transporter.use("compile", (0, nodemailer_express_handlebars_1.default)(handlebarOptions));
        const mailOptions = {
            from: `"ChatMe" <${config_1.config.MAILER_USER_GG}>`,
            to: email,
            subject,
            template: emailView,
            context: {
                link,
                link2,
                user,
                ip,
                date,
            },
        };
        let info = yield transporter.sendMail(mailOptions, function (err, data) {
            if (err) {
                console.log(err);
            }
        });
    }
    catch (error) {
        return error;
    }
    // let transporter = nodemailer.createTransport({
    //   service: "gmail",
    //   host: "smtp.gmail.com",
    //   port: 465,
    //   auth: {
    //     user: config.MAILER_USER_GG,
    //     pass: config.MAILER_PASS_GG,
    //   },
    // });
});
exports.sendMail2 = sendMail2;
//# sourceMappingURL=mailer2.js.map