"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.decodeSocketToken = void 0;
require("express-async-errors");
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const config_1 = require("../config/config");
const decodeSocketToken = (token) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        // Verify token
        const decoded = jsonwebtoken_1.default.verify(token, config_1.config.ACCESS_TOKEN_KEY);
        return decoded.id;
        // const user = await User.findById(decoded.id);
        // return user;
    }
    catch (error) {
        return null;
    }
});
exports.decodeSocketToken = decodeSocketToken;
//# sourceMappingURL=socketio.js.map